@echo off

set Eraser=eraserl.exe
if exist %Eraser% goto wipe1
set Eraser="%ProgramFiles%\eraser\eraserl.exe"
if not exist %Eraser% goto :eraser_not_found

:wipe1
set DRIVE=%ALLUSERSPROFILE:~0,2%
set COLON=%DRIVE:~1,1%
if "%COLON%" neq ":" goto :unsupported_drive

cls
set /P confirmation=Do you want to wipe the recycle bin, the data files of the Indexing Service and the free space of the disk which hosts your user profiles (y/n)? 
if "%confirmation%" neq "y" goto :eof

set RESTART_INDEX_SERVICE=0
net stop cisvc
if errorlevel 1 goto :wipe2
set RESTART_INDEX_SERVICE=1

:wipe2
%Eraser% -folder "%DRIVE%\System Volume Information\catalog.wci" -subfolders
%Eraser% -folder "%DRIVE%\RECYCLER" -subfolders
%Eraser% -disk %DRIVE%

if "%RESTART_INDEX_SERVICE%" equ "0" goto :wipe3
net start cisvc

:wipe3
goto :eof

:eraser_not_found
echo.ERROR: Cannot find Eraser (http://sourceforge.net/projects/eraser)
pause
goto :eof

:unsupported_drive
echo.ERROR: The user profiles are stored on an unsupported drive!
pause
goto :eof
